Name:		alienarena
Summary: 	3D Deathmatch game
Version:	6.10
Release:	6%{?dist}
License:	GPLv2+
Group:		Amusements/Games
Source0:	http://cor.planetquake.gamespy.com/codered/files/alienarena610src.zip
Source1:	alienarena.sh
Source2:	alienarena.desktop
Source3:	GPL.acebot.txt
Patch0:		alienarena-6.10-noSGIglext.patch
Patch1:		alienarena-6.10-fhs.patch
Patch2:		alienarena-6.10-dont-search-dll-in-data-path.patch
Patch3:		alienarena-6.10-genericoptflagsonly.patch
URL:		http://red.planetarena.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	libX11-devel, libXext-devel, libXxf86dga-devel, libXxf86vm-devel, libjpeg-devel
BuildRequires:	mesa-libGL-devel, mesa-libGLU-devel, SDL-devel, curl-devel, libpng-devel
BuildRequires:	desktop-file-utils
Requires:	alienarena-data = 20071011

%description
Alien Arena 2007 is an online deathmatch game with over 30 levels, seven modes 
of play, loads of mutators, built-in bots, 11 player characters, and 9 weapons
(with alt-fire modes).

%prep
%setup -q -c -n %{name}-%{version}
%patch0 -p1
%patch1 -p1 -b .fhs
%patch2 -p1
%patch3 -p1
cp -p %{SOURCE3} .
sed -i 's|"game.so"|"%{_libdir}/%{name}/game.so"|g' unix/sys_unix.c

%build
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/alienarena/
mkdir -p $RPM_BUILD_ROOT%{_libexecdir}
install -m0755 release/crded $RPM_BUILD_ROOT%{_bindir}
# Don't install this one, it barely works. The SDL binary works better.
# install -m0755 release/crx $RPM_BUILD_ROOT%{_bindir}
install -m0755 -p release/crx.sdl $RPM_BUILD_ROOT%{_libexecdir}
install -m0755 -p release/game.so $RPM_BUILD_ROOT%{_libdir}/alienarena/
install -m0755 -p %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/alienarena
mkdir -p $RPM_BUILD_ROOT%{_datadir}/alienarena/arena/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/alienarena/data1/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor "fedora"			\
	--dir $RPM_BUILD_ROOT%{_datadir}/applications	\
	%{SOURCE2}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc GPL.acebot.txt
%{_bindir}/alienarena
%{_bindir}/crded
%dir %{_datadir}/alienarena/
%dir %{_datadir}/alienarena/arena
%dir %{_datadir}/alienarena/data1
%{_datadir}/applications/*.desktop
%{_libdir}/alienarena/
%{_libexecdir}/crx.sdl

%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 6.10-6
- Autorebuild for GCC 4.3

* Wed Nov 28 2007 Tom "spot" Callaway <tcallawa@redhat.com> 6.10-5
- generic optflags only

* Tue Nov 27 2007 Tom "spot" Callaway <tcallawa@redhat.com> 6.10-4
- lots of cleanups from review

* Fri Nov 16 2007 Tom "spot" Callaway <tcallawa@redhat.com> 6.10-3
- include legal clarification text for ace bot code
- simplify description

* Thu Nov 8 2007 Tom "spot" Callaway <tcallawa@redhat.com> 6.10-2
- make shell script launcher to get game working
  (run alienarena, not crx.sdl directly)

* Thu Nov 1 2007 Tom "spot" Callaway <tcallawa@redhat.com> 6.10-1
- Initial package for Fedora
